Skip to content
Start here

Fetch active livestreams for a meeting

realtime_kit.livestreams.get_meeting_active_livestreams(strmeeting_id, LivestreamGetMeetingActiveLivestreamsParams**kwargs) -> LivestreamGetMeetingActiveLivestreamsResponse
GET/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-livestream

Returns details of all active livestreams for the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
formatuuid
ReturnsExpand Collapse
class LivestreamGetMeetingActiveLivestreamsResponse:
data: Optional[Data]
id: Optional[str]

The livestream ID.

created_at: Optional[datetime]

Timestamp the object was created at. The time is returned in ISO format.

formatdate-time
disabled: Optional[str]

Specifies if the livestream was disabled.

ingest_server: Optional[str]

The server URL to which the RTMP encoder sends the video and audio data.

meeting_id: Optional[str]
name: Optional[str]

Name of the livestream.

playback_url: Optional[str]

The web address that viewers can use to watch the livestream.

status: Optional[Literal["LIVE", "IDLE", "ERRORED", "INVOKED"]]
One of the following:
"LIVE"
"IDLE"
"ERRORED"
"INVOKED"
stream_key: Optional[str]

Unique key for accessing each livestream.

updated_at: Optional[datetime]

Timestamp the object was updated at. The time is returned in ISO format.

formatdate-time
success: Optional[bool]

Fetch active livestreams for a meeting

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.livestreams.get_meeting_active_livestreams(
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
)
print(response.data)
{
  "data": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "disabled": "disabled",
    "ingest_server": "ingest_server",
    "meeting_id": "meeting_id",
    "name": "name",
    "playback_url": "playback_url",
    "status": "LIVE",
    "stream_key": "stream_key",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "disabled": "disabled",
    "ingest_server": "ingest_server",
    "meeting_id": "meeting_id",
    "name": "name",
    "playback_url": "playback_url",
    "status": "LIVE",
    "stream_key": "stream_key",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}